Package com.opensymphony.module.sitemesh.filter

# Class DebugResponseWrapper

java.lang.Object
javax.servlet.ServletResponseWrapper
javax.servlet.http.HttpServletResponseWrapper
com.opensymphony.module.sitemesh.filter.DebugResponseWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`

public class DebugResponseWrapper extends javax.servlet.http.HttpServletResponseWrapper

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private int`
`count`
`private static int`
`lastCount`

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`DebugResponseWrapper(javax.servlet.http.HttpServletResponse response)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addCookie(javax.servlet.http.Cookie cookie)`
`void`
`addDateHeader(String name, long date)`
`void`
`addHeader(String name, String value)`
`void`
`addIntHeader(String name, int value)`
`boolean`
`containsHeader(String name)`
`private void`
`debug(String methodName, String arg1, String arg2)`
`private boolean`
`enabled()`
`String`
`encodeRedirectUrl(String url)`
`String`
`encodeRedirectURL(String url)`
`void`
`flushBuffer()`
`int`
`getBufferSize()`
`String`
`getCharacterEncoding()`
`Locale`
`getLocale()`
`javax.servlet.ServletOutputStream`
`getOutputStream()`
`PrintWriter`
`getWriter()`
`boolean`
`isCommitted()`
`void`
`reset()`
`void`
`sendError(int sc)`
`void`
`sendError(int sc, String msg)`
`void`
`sendRedirect(String location)`
`void`
`setBufferSize(int size)`
`void`
`setContentLength(int len)`
`void`
`setContentType(String type)`
`void`
`setDateHeader(String name, long date)`
`void`
`setHeader(String name, String value)`
`void`
`setIntHeader(String name, int value)`
`void`
`setLocale(Locale locale)`
`void`
`setStatus(int sc)`
`void`
`setStatus(int sc, String msg)`

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, setTrailerFields`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`getContentType, getResponse, isWrapperFor, isWrapperFor, resetBuffer, setCharacterEncoding, setContentLengthLong, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletResponse

`getContentType, resetBuffer, setCharacterEncoding, setContentLengthLong`

## Field Details

### lastCount

private static int lastCount

### count

private int count

## Constructor Details

### DebugResponseWrapper

public DebugResponseWrapper(javax.servlet.http.HttpServletResponse response)

## Method Details

### addCookie

public void addCookie(javax.servlet.http.Cookie cookie)

Specified by:
  `addCookie` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addCookie` in class `javax.servlet.http.HttpServletResponseWrapper`

### addDateHeader

public void addDateHeader(String name, long date)

Specified by:
  `addDateHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addHeader

public void addHeader(String name, String value)

Specified by:
  `addHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### addIntHeader

public void addIntHeader(String name, int value)

Specified by:
  `addIntHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `addIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### containsHeader

public boolean containsHeader(String name)

Specified by:
  `containsHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `containsHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectUrl

public String encodeRedirectUrl(String url)

Specified by:
  `encodeRedirectUrl` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `encodeRedirectUrl` in class `javax.servlet.http.HttpServletResponseWrapper`

### encodeRedirectURL

public String encodeRedirectURL(String url)

Specified by:
  `encodeRedirectURL` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `encodeRedirectURL` in class `javax.servlet.http.HttpServletResponseWrapper`

### sendError

public void sendError(int sc) throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
Throws:
  `IOException`

### sendError

public void sendError(int sc, String msg) throws IOException

Specified by:
  `sendError` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `sendError` in class `javax.servlet.http.HttpServletResponseWrapper`
Throws:
  `IOException`

### sendRedirect

public void sendRedirect(String location) throws IOException

Specified by:
  `sendRedirect` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `sendRedirect` in class `javax.servlet.http.HttpServletResponseWrapper`
Throws:
  `IOException`

### setDateHeader

public void setDateHeader(String name, long date)

Specified by:
  `setDateHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setDateHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setHeader

public void setHeader(String name, String value)

Specified by:
  `setHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setIntHeader

public void setIntHeader(String name, int value)

Specified by:
  `setIntHeader` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setIntHeader` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

public void setStatus(int sc)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### setStatus

public void setStatus(int sc, String msg)

Specified by:
  `setStatus` in interface `javax.servlet.http.HttpServletResponse`
Overrides:
  `setStatus` in class `javax.servlet.http.HttpServletResponseWrapper`

### flushBuffer

public void flushBuffer() throws IOException

Specified by:
  `flushBuffer` in interface `javax.servlet.ServletResponse`
Overrides:
  `flushBuffer` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `IOException`

### getBufferSize

public int getBufferSize()

Specified by:
  `getBufferSize` in interface `javax.servlet.ServletResponse`
Overrides:
  `getBufferSize` in class `javax.servlet.ServletResponseWrapper`

### getCharacterEncoding

public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
Overrides:
  `getCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `javax.servlet.ServletResponse`
Overrides:
  `getLocale` in class `javax.servlet.ServletResponseWrapper`

### getOutputStream

public javax.servlet.ServletOutputStream getOutputStream() throws IOException

Specified by:
  `getOutputStream` in interface `javax.servlet.ServletResponse`
Overrides:
  `getOutputStream` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `IOException`

### getWriter

public PrintWriter getWriter() throws IOException

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Overrides:
  `getWriter` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `IOException`

### isCommitted

public boolean isCommitted()

Specified by:
  `isCommitted` in interface `javax.servlet.ServletResponse`
Overrides:
  `isCommitted` in class `javax.servlet.ServletResponseWrapper`

### reset

public void reset()

Specified by:
  `reset` in interface `javax.servlet.ServletResponse`
Overrides:
  `reset` in class `javax.servlet.ServletResponseWrapper`

### setBufferSize

public void setBufferSize(int size)

Specified by:
  `setBufferSize` in interface `javax.servlet.ServletResponse`
Overrides:
  `setBufferSize` in class `javax.servlet.ServletResponseWrapper`

### setContentLength

public void setContentLength(int len)

Specified by:
  `setContentLength` in interface `javax.servlet.ServletResponse`
Overrides:
  `setContentLength` in class `javax.servlet.ServletResponseWrapper`

### setContentType

public void setContentType(String type)

Specified by:
  `setContentType` in interface `javax.servlet.ServletResponse`
Overrides:
  `setContentType` in class `javax.servlet.ServletResponseWrapper`

### setLocale

public void setLocale(Locale locale)

Specified by:
  `setLocale` in interface `javax.servlet.ServletResponse`
Overrides:
  `setLocale` in class `javax.servlet.ServletResponseWrapper`

### enabled

private boolean enabled()

### debug

private void debug(String methodName, String arg1, String arg2)